package com.wd.workoffice.bean;

import com.wd.workoffice.app.BaseBean;

import java.util.List;


/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ProDetail extends BaseBean {


    /**
     * message : null
     * data : {"productInfo":{"createdBy":111,"createdByName":null,"createdTime":"2020-02-24 10:10:31","updatedBy":111,"updatedByName":null,"updatedTime":"2020-02-24 10:37:08","id":38,"soleCode":"耐火材料","simpleCode":"耐火材料1","name":"耐火材料","spec":"30#1","unit":"吨","weight":51,"internalPrice":78,"processType":"坩埚流程,外采购流程","processTypeList":null,"productTypeId":3,"ofKind":"外购贴牌","expectOutputDeptId":120,"erpId":"耐火材料","status":"0","createdUser":null,"shelfAction":null,"updatedUser":null,"outDeptId":null,"outDeptName":null,"productTypeName":"塞棒","expectOutputDeptName":null,"isExpectOut":true,"ofKindName":null,"statusName":null,"relList":null,"outDeptCreatedBy":null,"outDeptCreatedTime":null,"transitPartId":null,"transitPartTypeCode":null,"remark":null},"transitPartRelList":[{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":51,"name":"大庆钢铁厂1","contacter":null,"address":"","phone":"13333333333","erpId":"2237","productId":null,"partTypeRelList":null,"processRelList":null,"processList":null,"referProcessList":null,"partTypeNames":null,"partTypeCode":"CUSTOMER","accountId":675,"accountName":"李凯","deptName":"销售四公司","channelPrice":null,"deptIdList":null,"supplier":null,"customer":null,"transporters":null,"processes":null}],"outDeptRelList":[{"id":null,"productId":null,"deptId":null,"createdBy":null,"createdTime":"2020-02-24 15:40:40","deptName":"销售一公司","outByUserName":"冯帆"}]}
     * path : null
     * ext : null
     */

    private DataBean data;

    @Override
    public DataBean getData() {
        return data;
    }

    public void setData(DataBean data) {
        this.data = data;
    }

    public static class DataBean {
        /**
         * productInfo : {"createdBy":111,"createdByName":null,"createdTime":"2020-02-24 10:10:31","updatedBy":111,"updatedByName":null,"updatedTime":"2020-02-24 10:37:08","id":38,"soleCode":"耐火材料","simpleCode":"耐火材料1","name":"耐火材料","spec":"30#1","unit":"吨","weight":51,"internalPrice":78,"processType":"坩埚流程,外采购流程","processTypeList":null,"productTypeId":3,"ofKind":"外购贴牌","expectOutputDeptId":120,"erpId":"耐火材料","status":"0","createdUser":null,"shelfAction":null,"updatedUser":null,"outDeptId":null,"outDeptName":null,"productTypeName":"塞棒","expectOutputDeptName":null,"isExpectOut":true,"ofKindName":null,"statusName":null,"relList":null,"outDeptCreatedBy":null,"outDeptCreatedTime":null,"transitPartId":null,"transitPartTypeCode":null,"remark":null}
         * transitPartRelList : [{"createdBy":null,"createdByName":null,"createdTime":null,"updatedBy":null,"updatedByName":null,"updatedTime":null,"id":51,"name":"大庆钢铁厂1","contacter":null,"address":"","phone":"13333333333","erpId":"2237","productId":null,"partTypeRelList":null,"processRelList":null,"processList":null,"referProcessList":null,"partTypeNames":null,"partTypeCode":"CUSTOMER","accountId":675,"accountName":"李凯","deptName":"销售四公司","channelPrice":null,"deptIdList":null,"supplier":null,"customer":null,"transporters":null,"processes":null}]
         * outDeptRelList : [{"id":null,"productId":null,"deptId":null,"createdBy":null,"createdTime":"2020-02-24 15:40:40","deptName":"销售一公司","outByUserName":"冯帆"}]
         */

        private ProductInfoBean productInfo;
        private List<TransitPartRelListBean> transitPartRelList;
        private List<OutDeptRelListBean> outDeptRelList;

        public ProductInfoBean getProductInfo() {
            return productInfo;
        }

        public void setProductInfo(ProductInfoBean productInfo) {
            this.productInfo = productInfo;
        }

        public List<TransitPartRelListBean> getTransitPartRelList() {
            return transitPartRelList;
        }

        public void setTransitPartRelList(List<TransitPartRelListBean> transitPartRelList) {
            this.transitPartRelList = transitPartRelList;
        }

        public List<OutDeptRelListBean> getOutDeptRelList() {
            return outDeptRelList;
        }

        public void setOutDeptRelList(List<OutDeptRelListBean> outDeptRelList) {
            this.outDeptRelList = outDeptRelList;
        }

        public static class ProductInfoBean {
            /**
             * createdBy : 111
             * createdByName : null
             * createdTime : 2020-02-24 10:10:31
             * updatedBy : 111
             * updatedByName : null
             * updatedTime : 2020-02-24 10:37:08
             * id : 38
             * soleCode : 耐火材料
             * simpleCode : 耐火材料1
             * name : 耐火材料
             * spec : 30#1
             * unit : 吨
             * weight : 51.0
             * internalPrice : 78.0
             * processType : 坩埚流程,外采购流程
             * processTypeList : null
             * productTypeId : 3
             * ofKind : 外购贴牌
             * expectOutputDeptId : 120
             * erpId : 耐火材料
             * status : 0
             * createdUser : null
             * shelfAction : null
             * updatedUser : null
             * outDeptId : null
             * outDeptName : null
             * productTypeName : 塞棒
             * expectOutputDeptName : null
             * isExpectOut : true
             * ofKindName : null
             * statusName : null
             * relList : null
             * outDeptCreatedBy : null
             * outDeptCreatedTime : null
             * transitPartId : null
             * transitPartTypeCode : null
             * remark : null
             */

            private int createdBy;
            private Object createdByName;
            private String createdTime;
            private int updatedBy;
            private Object updatedByName;
            private String updatedTime;
            private int id;
            private String soleCode;
            private String simpleCode;
            private String name;
            private String spec;
            private String unit;
            private double weight;
            private double internalPrice;
            private String processType;
            private Object processTypeList;
            private int productTypeId;
            private String ofKind;
            private int expectOutputDeptId;
            private String erpId;
            private String status;
            private Object createdUser;
            private Object shelfAction;
            private Object updatedUser;
            private Object outDeptId;
            private Object outDeptName;
            private String productTypeName;
            private Object expectOutputDeptName;
            private boolean isExpectOut;
            private Object ofKindName;
            private Object statusName;
            private Object relList;
            private Object outDeptCreatedBy;
            private Object outDeptCreatedTime;
            private Object transitPartId;
            private Object transitPartTypeCode;
            private Object remark;

            public int getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(int createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public int getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(int updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public String getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(String updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getSoleCode() {
                return soleCode;
            }

            public void setSoleCode(String soleCode) {
                this.soleCode = soleCode;
            }

            public String getSimpleCode() {
                return simpleCode;
            }

            public void setSimpleCode(String simpleCode) {
                this.simpleCode = simpleCode;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public String getSpec() {
                return spec;
            }

            public void setSpec(String spec) {
                this.spec = spec;
            }

            public String getUnit() {
                return unit;
            }

            public void setUnit(String unit) {
                this.unit = unit;
            }

            public double getWeight() {
                return weight;
            }

            public void setWeight(double weight) {
                this.weight = weight;
            }

            public double getInternalPrice() {
                return internalPrice;
            }

            public void setInternalPrice(double internalPrice) {
                this.internalPrice = internalPrice;
            }

            public String getProcessType() {
                return processType;
            }

            public void setProcessType(String processType) {
                this.processType = processType;
            }

            public Object getProcessTypeList() {
                return processTypeList;
            }

            public void setProcessTypeList(Object processTypeList) {
                this.processTypeList = processTypeList;
            }

            public int getProductTypeId() {
                return productTypeId;
            }

            public void setProductTypeId(int productTypeId) {
                this.productTypeId = productTypeId;
            }

            public String getOfKind() {
                return ofKind;
            }

            public void setOfKind(String ofKind) {
                this.ofKind = ofKind;
            }

            public int getExpectOutputDeptId() {
                return expectOutputDeptId;
            }

            public void setExpectOutputDeptId(int expectOutputDeptId) {
                this.expectOutputDeptId = expectOutputDeptId;
            }

            public String getErpId() {
                return erpId;
            }

            public void setErpId(String erpId) {
                this.erpId = erpId;
            }

            public String getStatus() {
                return status;
            }

            public void setStatus(String status) {
                this.status = status;
            }

            public Object getCreatedUser() {
                return createdUser;
            }

            public void setCreatedUser(Object createdUser) {
                this.createdUser = createdUser;
            }

            public Object getShelfAction() {
                return shelfAction;
            }

            public void setShelfAction(Object shelfAction) {
                this.shelfAction = shelfAction;
            }

            public Object getUpdatedUser() {
                return updatedUser;
            }

            public void setUpdatedUser(Object updatedUser) {
                this.updatedUser = updatedUser;
            }

            public Object getOutDeptId() {
                return outDeptId;
            }

            public void setOutDeptId(Object outDeptId) {
                this.outDeptId = outDeptId;
            }

            public Object getOutDeptName() {
                return outDeptName;
            }

            public void setOutDeptName(Object outDeptName) {
                this.outDeptName = outDeptName;
            }

            public String getProductTypeName() {
                return productTypeName;
            }

            public void setProductTypeName(String productTypeName) {
                this.productTypeName = productTypeName;
            }

            public Object getExpectOutputDeptName() {
                return expectOutputDeptName;
            }

            public void setExpectOutputDeptName(Object expectOutputDeptName) {
                this.expectOutputDeptName = expectOutputDeptName;
            }

            public boolean isIsExpectOut() {
                return isExpectOut;
            }

            public void setIsExpectOut(boolean isExpectOut) {
                this.isExpectOut = isExpectOut;
            }

            public Object getOfKindName() {
                return ofKindName;
            }

            public void setOfKindName(Object ofKindName) {
                this.ofKindName = ofKindName;
            }

            public Object getStatusName() {
                return statusName;
            }

            public void setStatusName(Object statusName) {
                this.statusName = statusName;
            }

            public Object getRelList() {
                return relList;
            }

            public void setRelList(Object relList) {
                this.relList = relList;
            }

            public Object getOutDeptCreatedBy() {
                return outDeptCreatedBy;
            }

            public void setOutDeptCreatedBy(Object outDeptCreatedBy) {
                this.outDeptCreatedBy = outDeptCreatedBy;
            }

            public Object getOutDeptCreatedTime() {
                return outDeptCreatedTime;
            }

            public void setOutDeptCreatedTime(Object outDeptCreatedTime) {
                this.outDeptCreatedTime = outDeptCreatedTime;
            }

            public Object getTransitPartId() {
                return transitPartId;
            }

            public void setTransitPartId(Object transitPartId) {
                this.transitPartId = transitPartId;
            }

            public Object getTransitPartTypeCode() {
                return transitPartTypeCode;
            }

            public void setTransitPartTypeCode(Object transitPartTypeCode) {
                this.transitPartTypeCode = transitPartTypeCode;
            }

            public Object getRemark() {
                return remark;
            }

            public void setRemark(Object remark) {
                this.remark = remark;
            }
        }

        public static class TransitPartRelListBean {
            /**
             * createdBy : null
             * createdByName : null
             * createdTime : null
             * updatedBy : null
             * updatedByName : null
             * updatedTime : null
             * id : 51
             * name : 大庆钢铁厂1
             * contacter : null
             * address :
             * phone : 13333333333
             * erpId : 2237
             * productId : null
             * partTypeRelList : null
             * processRelList : null
             * processList : null
             * referProcessList : null
             * partTypeNames : null
             * partTypeCode : CUSTOMER
             * accountId : 675
             * accountName : 李凯
             * deptName : 销售四公司
             * channelPrice : null
             * deptIdList : null
             * supplier : null
             * customer : null
             * transporters : null
             * processes : null
             */

            private Object createdBy;
            private Object createdByName;
            private Object createdTime;
            private Object updatedBy;
            private Object updatedByName;
            private Object updatedTime;
            private int id;
            private String name;
            private Object contacter;
            private String address;
            private String phone;
            private String erpId;
            private Object productId;
            private Object partTypeRelList;
            private Object processRelList;
            private Object processList;
            private Object referProcessList;
            private Object partTypeNames;
            private String partTypeCode;
            private int accountId;
            private String accountName;
            private String deptName;
            private String channelPrice;
            private Object deptIdList;
            private Object supplier;
            private Object customer;
            private Object transporters;
            private Object processes;

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public Object getCreatedByName() {
                return createdByName;
            }

            public void setCreatedByName(Object createdByName) {
                this.createdByName = createdByName;
            }

            public Object getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(Object createdTime) {
                this.createdTime = createdTime;
            }

            public Object getUpdatedBy() {
                return updatedBy;
            }

            public void setUpdatedBy(Object updatedBy) {
                this.updatedBy = updatedBy;
            }

            public Object getUpdatedByName() {
                return updatedByName;
            }

            public void setUpdatedByName(Object updatedByName) {
                this.updatedByName = updatedByName;
            }

            public Object getUpdatedTime() {
                return updatedTime;
            }

            public void setUpdatedTime(Object updatedTime) {
                this.updatedTime = updatedTime;
            }

            public int getId() {
                return id;
            }

            public void setId(int id) {
                this.id = id;
            }

            public String getName() {
                return name;
            }

            public void setName(String name) {
                this.name = name;
            }

            public Object getContacter() {
                return contacter;
            }

            public void setContacter(Object contacter) {
                this.contacter = contacter;
            }

            public String getAddress() {
                return address;
            }

            public void setAddress(String address) {
                this.address = address;
            }

            public String getPhone() {
                return phone;
            }

            public void setPhone(String phone) {
                this.phone = phone;
            }

            public String getErpId() {
                return erpId;
            }

            public void setErpId(String erpId) {
                this.erpId = erpId;
            }

            public Object getProductId() {
                return productId;
            }

            public void setProductId(Object productId) {
                this.productId = productId;
            }

            public Object getPartTypeRelList() {
                return partTypeRelList;
            }

            public void setPartTypeRelList(Object partTypeRelList) {
                this.partTypeRelList = partTypeRelList;
            }

            public Object getProcessRelList() {
                return processRelList;
            }

            public void setProcessRelList(Object processRelList) {
                this.processRelList = processRelList;
            }

            public Object getProcessList() {
                return processList;
            }

            public void setProcessList(Object processList) {
                this.processList = processList;
            }

            public Object getReferProcessList() {
                return referProcessList;
            }

            public void setReferProcessList(Object referProcessList) {
                this.referProcessList = referProcessList;
            }

            public Object getPartTypeNames() {
                return partTypeNames;
            }

            public void setPartTypeNames(Object partTypeNames) {
                this.partTypeNames = partTypeNames;
            }

            public String getPartTypeCode() {
                return partTypeCode;
            }

            public void setPartTypeCode(String partTypeCode) {
                this.partTypeCode = partTypeCode;
            }

            public int getAccountId() {
                return accountId;
            }

            public void setAccountId(int accountId) {
                this.accountId = accountId;
            }

            public String getAccountName() {
                return accountName;
            }

            public void setAccountName(String accountName) {
                this.accountName = accountName;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }

            public String getChannelPrice() {
                return channelPrice;
            }

            public void setChannelPrice(String channelPrice) {
                this.channelPrice = channelPrice;
            }

            public Object getDeptIdList() {
                return deptIdList;
            }

            public void setDeptIdList(Object deptIdList) {
                this.deptIdList = deptIdList;
            }

            public Object getSupplier() {
                return supplier;
            }

            public void setSupplier(Object supplier) {
                this.supplier = supplier;
            }

            public Object getCustomer() {
                return customer;
            }

            public void setCustomer(Object customer) {
                this.customer = customer;
            }

            public Object getTransporters() {
                return transporters;
            }

            public void setTransporters(Object transporters) {
                this.transporters = transporters;
            }

            public Object getProcesses() {
                return processes;
            }

            public void setProcesses(Object processes) {
                this.processes = processes;
            }
        }

        public static class OutDeptRelListBean {
            /**
             * id : null
             * productId : null
             * deptId : null
             * createdBy : null
             * createdTime : 2020-02-24 15:40:40
             * deptName : 销售一公司
             * outByUserName : 冯帆
             */

            private Object id;
            private Object productId;
            private Object deptId;
            private Object createdBy;
            private String createdTime;
            private String deptName;
            private String outByUserName;

            public Object getId() {
                return id;
            }

            public void setId(Object id) {
                this.id = id;
            }

            public Object getProductId() {
                return productId;
            }

            public void setProductId(Object productId) {
                this.productId = productId;
            }

            public Object getDeptId() {
                return deptId;
            }

            public void setDeptId(Object deptId) {
                this.deptId = deptId;
            }

            public Object getCreatedBy() {
                return createdBy;
            }

            public void setCreatedBy(Object createdBy) {
                this.createdBy = createdBy;
            }

            public String getCreatedTime() {
                return createdTime;
            }

            public void setCreatedTime(String createdTime) {
                this.createdTime = createdTime;
            }

            public String getDeptName() {
                return deptName;
            }

            public void setDeptName(String deptName) {
                this.deptName = deptName;
            }

            public String getOutByUserName() {
                return outByUserName;
            }

            public void setOutByUserName(String outByUserName) {
                this.outByUserName = outByUserName;
            }
        }
    }
}
